<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.LifeClassBannerMapper">

    <resultMap id="BaseResultMap" type="shop.alien.entity.store.LifeClassBanner">
            <id property="id" column="id" />
            <result property="bannerSort" column="banner_sort" />
            <result property="bannerTitle" column="banner_title" />
            <result property="bannerIntroduce" column="banner_introduce" />
            <result property="bannerImg" column="banner_img" />
            <result property="playCount" column="play_count" />
            <result property="playFlag" column="play_flag" />
            <result property="deleteFlag" column="delete_flag" />
            <result property="createdTime" column="created_time" />
            <result property="createdUserId" column="created_user_id" />
            <result property="updatedTime" column="updated_time" />
            <result property="updatedUserId" column="updated_user_id" />
    </resultMap>

    <sql id="Base_Column_List">
        id,banner_sort,banner_title,banner_introduce,banner_img,play_count,
        play_flag,delete_flag,created_time,created_user_id,updated_time,
        updated_user_id
    </sql>
</mapper>
